import Combine
import UIKit

// MARK: - Ядро-VC

extension Main {
  class Core: UIViewController {
    let didSelectButton = PassthroughSubject<Int, Never>()
    var buttons = [UIButton]()
    var subscriptions = [AnyCancellable]()

    override func viewDidLoad() {
      super.viewDidLoad()

      view.backgroundColor = .white

      Main.Section16Buttons.setupCore(self)
      Main.SectionGrid.setupCore(self)
      Main.SectionSelection.setupCore(self)
    }

    @objc func selectButton(_ btn: UIButton) {
      didSelectButton.send(btn.tag)
    }
  }
}
