import UIKit

// MARK: - Протоколы

protocol MainSectionSelection { }

// MARK: - Реализация

extension Main {
  enum SectionSelection {
    static func setupCore(_ core: Main.Core) {
      // Учитываем нажатия кнопок.
      for btn in core.buttons {
        btn.addTarget(core, action: #selector(Main.Core.selectButton), for: .touchUpInside)
      }

      // Выводим номер нажатой кнопки.
      core.didSelectButton
        .sink { i in print("ИГР MainSS.setupC didSB: '\(i)'") }
        .store(in: &core.subscriptions)
    }
  }
}
