import UIKit

// MARK: - Протоколы

protocol MainSectionGrid { }

// MARK: - Реализация

extension Main {
  enum SectionGrid {
    static func setupCore(_ core: Main.Core) {
      let side = 50
      let space = 20
      let gap = side + space

      // Расставляем кнопки в сетке 4x4.
      for btn in core.buttons {
        let id = btn.tag
        let row = Int(id / 4)
        btn.frame = CGRect(x: gap + (id - row * 4) * gap, y: gap + row * gap, width: side, height: side)
        btn.backgroundColor = .blue
      }
    }
  }
}
